建立多個 SelectedRoute 資源,並啟動排程,定期擷取每條路線的快取資訊。
HTTP 要求
POST https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes:batchCreate
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 | |
|---|---|
parent |
必填。批次中所有選定路徑共用的專案資源。這是必要條件,因為批次要求僅支援單一 |
要求主體
要求主體會包含結構如下的資料:
| JSON 表示法 |
|---|
{
"requests": [
{
object ( |
| 欄位 | |
|---|---|
requests[] |
必填。要求訊息,指定要建立的所選路線。您一次最多可以建立 1,000 條選定路線。每個要求的上層資源必須為空白,或與頂層 |
回應主體
建立多個 SelectedRoute 的回應。
如果成功,回應主體會含有以下結構的資料:
| JSON 表示法 |
|---|
{
"selectedRoutes": [
{
object ( |
| 欄位 | |
|---|---|
selectedRoutes[] |
已建立「 |
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/cloud-platform
IAM 權限
需要 parent 資源的下列 IAM 權限:
roads.selectedRoutes.batchCreate
詳情請參閱 IAM 說明文件。
CreateSelectedRouteRequest
建立 SelectedRoute 的要求。
| JSON 表示法 |
|---|
{
"parent": string,
"selectedRoute": {
object ( |
| 欄位 | |
|---|---|
parent |
必填。 |
selectedRoute |
必填。要建立的 |
selectedRouteId |
(選用步驟) 要用於 這個值的長度應為 4 至 63 個字元,有效字元為「a-z」、「A-Z」、「0-9」或「-」。如果未提供或留空,系統會在資源建立後產生 UUID。 |